Module java.base
Package java.net

# Interface URLStreamHandlerFactory

All Known Implementing Classes:
  `URLStreamHandlerProvider`

    public interface URLStreamHandlerFactory

This interface defines a factory for `URL` stream protocol handlers.

A URL stream handler factory is used as specified in the URL constructor.

Since:
  1.0
See Also:
  `URL`, `URLStreamHandler`

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`URLStreamHandler` | `createURLStreamHandler​(String protocol)` | Creates a new `URLStreamHandler` instance with the specified protocol.

## Method Details

### createURLStreamHandler

URLStreamHandler createURLStreamHandler​(String protocol)
Creates a new `URLStreamHandler` instance with the specified protocol.

Parameters:
  `protocol` - the protocol ("`ftp`", "`http`", "`nntp`", etc.).
Returns:
  a `URLStreamHandler` for the specific protocol, or `null` if this factory cannot create a handler for the specific protocol
See Also:
  `URLStreamHandler`